if (typeof Widget == 'undefined') {
	var Widget = {
		Device : {
			DeviceStateInfo : {
				AccelerometerInfo : {
					xAxis : 0,
					yAxis : 0,
					zAxis : 0
				}
			}
		},
		preferenceForKey : function(key) {
			return window.localStorage.getItem(key);
		},
		setPreferenceForKey : function(pref, key) {
			return window.localStorage.setItem(key, pref);
		}
	}

	window
			.addEventListener(
					'DOMContentLoaded',
					function() {

						document.body.onmousemove = function(e) {

							var maxX = document.body.clientWidth, maxY = document.body.clientHeight;

							Widget.Device.DeviceStateInfo.AccelerometerInfo.yAxis = (((e.clientX * 18) / maxX) - 9);
							Widget.Device.DeviceStateInfo.AccelerometerInfo.xAxis = ((e.clientY * 18) / maxY) - 9;

							window.status = '[' + e.clientX + ','
									+ (e.clientY - 67) + '] rel: ['
									+ (e.clientX - maxX / 2) + ','
									+ (e.clientY - maxY / 2) + ']';
						};

						document.body
								.addEventListener(
										'mousedown',
										function() {
											Widget.Device.DeviceStateInfo.AccelerometerInfo.zAxis += 5;
										}, false)

					}, false);
}
